org.apache.http.nio.protocol

## Class AsyncNHttpClientHandler.ClientConnState

- java.lang.Object
- - org.apache.http.nio.protocol.AsyncNHttpClientHandler.ClientConnState

- Enclosing class:
    AsyncNHttpClientHandler

      protected static class AsyncNHttpClientHandler.ClientConnState
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EXPECT_CONTINUE`
    `static int` | `READY`
    `static int` | `REQUEST_BODY_DONE`
    `static int` | `REQUEST_BODY_STREAM`
    `static int` | `REQUEST_SENT`
    `static int` | `RESPONSE_BODY_DONE`
    `static int` | `RESPONSE_BODY_STREAM`
    `static int` | `RESPONSE_RECEIVED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncNHttpClientHandler.ClientConnState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsumingNHttpEntity` | `getConsumingEntity()`
    `int` | `getOutputState()`
    `ProducingNHttpEntity` | `getProducingEntity()`
    `HttpRequest` | `getRequest()`
    `HttpResponse` | `getResponse()`
    `int` | `getTimeout()`
    `void` | `invalidate()`
    `boolean` | `isValid()`
    `void` | `reset()`
    `void` | `resetInput()`
    `void` | `resetOutput()`
    `void` | `setConsumingEntity(ConsumingNHttpEntity consumingEntity)`
    `void` | `setOutputState(int outputState)`
    `void` | `setProducingEntity(ProducingNHttpEntity producingEntity)`
    `void` | `setRequest(HttpRequest request)`
    `void` | `setResponse(HttpResponse response)`
    `void` | `setTimeout(int timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### READY

          public static final int READY

      See Also:
        Constant Field Values

    - #### REQUEST_SENT

          public static final int REQUEST_SENT

      See Also:
        Constant Field Values

    - #### EXPECT_CONTINUE

          public static final int EXPECT_CONTINUE

      See Also:
        Constant Field Values

    - #### REQUEST_BODY_STREAM

          public static final int REQUEST_BODY_STREAM

      See Also:
        Constant Field Values

    - #### REQUEST_BODY_DONE

          public static final int REQUEST_BODY_DONE

      See Also:
        Constant Field Values

    - #### RESPONSE_RECEIVED

          public static final int RESPONSE_RECEIVED

      See Also:
        Constant Field Values

    - #### RESPONSE_BODY_STREAM

          public static final int RESPONSE_BODY_STREAM

      See Also:
        Constant Field Values

    - #### RESPONSE_BODY_DONE

          public static final int RESPONSE_BODY_DONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AsyncNHttpClientHandler.ClientConnState

          public AsyncNHttpClientHandler.ClientConnState()

  - ### Method Detail

    - #### setConsumingEntity

          public void setConsumingEntity(ConsumingNHttpEntity consumingEntity)

    - #### setProducingEntity

          public void setProducingEntity(ProducingNHttpEntity producingEntity)

    - #### getProducingEntity

          public ProducingNHttpEntity getProducingEntity()

    - #### getConsumingEntity

          public ConsumingNHttpEntity getConsumingEntity()

    - #### getOutputState

          public int getOutputState()

    - #### setOutputState

          public void setOutputState(int outputState)

    - #### getRequest

          public HttpRequest getRequest()

    - #### setRequest

          public void setRequest(HttpRequest request)

    - #### getResponse

          public HttpResponse getResponse()

    - #### setResponse

          public void setResponse(HttpResponse response)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int timeout)

    - #### resetInput

          public void resetInput()
                          throws IOException

      Throws:
        `IOException`

    - #### resetOutput

          public void resetOutput()
                           throws IOException

      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Throws:
        `IOException`

    - #### isValid

          public boolean isValid()

    - #### invalidate

          public void invalidate()

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.